@charset "UTF-8";
/* =========================================================
 パイプライン独自テーブル
========================================================= */
.sr-only {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  white-space: nowrap;
  border: 0;
  clip-path: inset(50%);
}
.pipeline-table colgroup col:first-child {width: 14%;}
.pipeline-table colgroup col:nth-child(2) {width: 20%;}
.pipeline-table colgroup col:nth-child(3) {width: 23%;}
.pipeline-table colgroup col:nth-child(4) {width: 24%;}
.pipeline-table colgroup col:last-child {width: 19%;}
.pipeline-table {
  border-collapse: collapse;
}
.pipeline-table thead th,
.pipeline-table tbody th,
.pipeline-table tbody td {
  font-size: 14px;
  padding: 10px;
  border-top: 1px solid #bbb;
  border-right: 1px dotted #bbb;
  border-left: 1px dotted #bbb;
}
.pipeline-table thead th {
  background: #eceded;
}
.pipeline-table tbody th {
  font-weight: 400;
}
.pipeline-table tbody tr:last-child th,
.pipeline-table tbody tr:last-child td {
  border-bottom: 1px solid #bbb;
}
.pipeline-table {
  tbody {
    th {
      background: #fff;
    }
  }
}
.pipeline-table {
  .stage {
    vertical-align: middle;
  }
  .category-label {
    padding-left: 20px;
    position: relative;
      &::before {
      content: "";
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      width: 10px;
    }
    &::after {
      content: "";
      position: absolute;
      bottom: -1px;
      left: 0;
      width: 10px;
      height: 1px;
      background: #fff;
    }
  }
  .infectious-bar:before {
    background: #FFBB3D;
  }
  .cancer-bar::before {
    background: #3CB878;
  }
  .immune-bar::before {
    background:#4FC3F7;
  }
  tbody tr:last-child .category-label::after {
    background: transparent;    
  }
}
/* ステージ */
.stage-row {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 16px;
  min-width: 0;
  & + .stage-row {
    margin-top: 16px;
  }
}
.stage-row-label {
  flex-shrink: 0;
  width: 40px;
}
.stage-list {
  display: flex;
  gap: 6px;
  margin: 0;
  padding: 0;
}
.stage-img {
  min-width: 0;
  max-width: 164px;
  height: auto;
  flex: 1 1 auto;
  display: block;
}
@media only screen and (max-width: 1024px) {
  .sp-table-scroll {
    overflow-x: scroll;
  }
  .sp-table-scroll .pipeline-table {
    white-space: wrap;
    width: 980px;
  }
}